{
  "providerId": "MethodSelfcallDirectives",
  "method": "Lorg/eclipse/uml2/uml/internal/impl/AbstractionImpl.eInverseRemove(Lorg/eclipse/emf/ecore/InternalEObject;ILorg/eclipse/emf/common/notify/NotificationChain;)Lorg/eclipse/emf/common/notify/NotificationChain;",
  "numberOfDefinitions": 3,
  "calls": {
    "Lorg/eclipse/emf/ecore/impl/EModelElementImpl.getEAnnotations()Lorg/eclipse/emf/common/util/EList;": 3,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eInternalResource()Lorg/eclipse/emf/ecore/resource/Resource$Internal;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/PackageableElementImpl.basicSetOwningTemplateParameter(Lorg/eclipse/uml2/uml/TemplateParameter;Lorg/eclipse/emf/common/notify/NotificationChain;)Lorg/eclipse/emf/common/notify/NotificationChain;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.basicSetNameExpression(Lorg/eclipse/uml2/uml/StringExpression;Lorg/eclipse/emf/common/notify/NotificationChain;)Lorg/eclipse/emf/common/notify/NotificationChain;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.eBasicSetContainer(Lorg/eclipse/emf/ecore/InternalEObject;ILorg/eclipse/emf/common/notify/NotificationChain;)Lorg/eclipse/emf/common/notify/NotificationChain;": 3,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eDynamicInverseRemove(Lorg/eclipse/emf/ecore/InternalEObject;ILorg/eclipse/emf/common/notify/NotificationChain;)Lorg/eclipse/emf/common/notify/NotificationChain;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/PackageableElementImpl.basicSetTemplateParameter(Lorg/eclipse/uml2/uml/TemplateParameter;Lorg/eclipse/emf/common/notify/NotificationChain;)Lorg/eclipse/emf/common/notify/NotificationChain;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/AbstractionImpl.basicSetMapping(Lorg/eclipse/uml2/uml/OpaqueExpression;Lorg/eclipse/emf/common/notify/NotificationChain;)Lorg/eclipse/emf/common/notify/NotificationChain;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getOwnedComments()Lorg/eclipse/emf/common/util/EList;": 3,
    "Lorg/eclipse/uml2/common/util/SubsetSupersetEObjectResolvingEList.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I[I[I)V": 3
  }
}